Google Play 앱의 대상 API 수준 요구사항

대상 API 수준의 기한을 더 명확히 하기 위해 매년 8월 31일로 날짜를 통일합니다.

2023년 8월 31일부터 다음과 같습니다.

  • 신규 앱은 Android 13(API 수준 33) 이상을 타겟팅해야 합니다. 단, Android 11(API 수준 30) 또는 최대 Android 13(API 수준 33)을 타겟팅해야 하는 Wear OS 앱은 예외입니다.
  • 기존 앱이 API 수준 31 이상을 타겟팅해야 앱의 대상 API 수준보다 상위 버전의 Android OS를 실행하는 기기에서 사용자가 계속 사용할 수 있습니다. 대상 API 수준 30 이하를 타겟팅하는(Wear OS의 경우 API 수준 29 이하를 타겟팅하는) 앱은 앱의 대상 API 수준과 같거나 낮은 Android OS를 실행하는 기기에서만 사용할 수 있습니다.
앱을 업데이트하는 데 시간이 더 필요한 경우 2023년 11월 1일까지 연장 요청할 수 있습니다. 영향을 받는 경우 8월 초에 정책 상태에서 관련 경고 또는 문제를 클릭하여 Play Console 내 앱의 연장 양식에 액세스할 수 있습니다.

새로운 Android 버전이 출시될 때마다 전반적인 Android 플랫폼 사용자 환경, 보안, 성능이 개선됩니다. 각 앱은 매니페스트 파일에 targetSdkVersion(대상 API 수준이라고도 함)을 지정합니다. 대상 API 수준은 앱이 다양한 Android 버전에서 실행되는 방식을 나타냅니다.

최신 API 수준을 타겟팅하도록 앱을 구성하면 사용자가 보안, 개인 정보 보호, 성능 개선의 혜택을 받을 수 있으며, 이전 Android 버전(지정된 minSdkVersion까지)에서도 앱을 실행할 수 있습니다.

Android 및 Google Play 사용자에게 안전한 환경을 제공하기 위해 Google Play의 모든 앱은 아래 나열된 대상 API 수준 요구사항을 충족해야 합니다.

이러한 요구사항에 대한 예외는 다음과 같습니다.

  • 영구 비공개 앱: 특정 조직의 사용자를 대상으로 내부 배포 목적으로만 사용할 수 있습니다. 
  • 자동차 폼 팩터를 타겟팅하며 동일한 패키지 내에 번들로 제공되는 앱은 모든 Google Play 사용자에게 검색 가능 상태로 유지됩니다.

정의

신규 앱 Google Play에 아직 게시되지 않은 앱(예: 신규 앱)
기존 앱 Google Play에 게시된 앱
앱 업데이트 기존 앱을 대체하기 위해 검토용으로 제출하는 앱의 새 버전

앱 업데이트 요구사항

Android OS 버전
(API 수준)

제출하려는 새로운 앱 및 앱 업데이트가 언제까지 해당 API 수준을 타겟팅해야 하나요?
신규 앱 앱 업데이트

Android 13(API 수준 33)*

2023년 8월 31일

2023년 8월 31일

Android 12(API 수준 31)

2022년 8월 31일

2022년 11월 1일

*개발자는 원활한 전환을 위해 11월 1일까지로 기한 연장을 요청할 수 있습니다.

도움말: 이러한 요구사항을 충족하도록 앱의 대상 API 수준을 변경하는 방법에 관한 기술적 가이드가 필요한 경우 이전 가이드를 참고하세요.

Wear OS 앱 요구사항

Android OS 버전(API 수준)

제출하려는 Wear OS 앱이 언제까지 해당 API 수준을 타겟팅해야 하나요?
신규 앱 앱 업데이트
Android 11(API 수준 30)(변경사항 없음) 2022년 8월 1일 2022년 11월 1일

앱 제공 가능 요건

현재 기존 앱(모바일, Android Auto, Android TV)은 2023년 8월 31일까지 API 수준 31 이상을 타겟팅해야 합니다(Wear OS의 경우 API 30 또는 API 수준 33 이상 타겟팅). 그러지 않으면 앱의 대상 API 수준보다 최신 버전의 Android OS 버전을 실행하는 기기의 Google Play 사용자에게 앱이 더 이상 표시되지 않습니다. 앱이 최신 Android OS 버전에서 기대되는 안전 및 품질 표준에 미달하기 때문입니다.

  • 2023년 8월 31일 후에는 앱의 대상 API보다 상위 수준인 Android OS를 실행하는 신규 사용자에게 Android 11(API 수준 30)* 이하 대상 수준의 앱이 제공되지 않습니다.
  • 2022년 11월 1일 후 또는 앱이 연장을 받은 경우 2023년 5월 1일 후에는 앱의 대상 API보다 상위 수준인 Android OS를 실행하는 신규 사용자에게 Android 10(API 수준 29) 이하 대상 수준의 앱이 제공되지 않았습니다.

*개발자는 원활한 전환을 위해 2023년 11월 1일까지로 기한 연장을 요청할 수 있습니다. 영향을 받는 경우 8월 초에 정책 상태 페이지에서 관련 문제를 클릭하여 Play Console 내 앱의 연장 양식에 액세스할 수 있습니다.


준수 방법

신규 앱

기존 앱

신규 앱을 게시할 때 API 33 이상을 타겟팅해야 합니다.

기존 앱의 대상 API 수준이 31 이상이면 앱이 이 정책을 준수합니다.

기존 앱의 타겟이 API 31 미만이면 앱의 대상 API 수준보다 최신 버전의 Android OS 버전을 실행하는 기기의 Google Play 사용자에게 앱이 더 이상 제공되지 않습니다. 앱이 최신 Android OS 버전에서 기대되는 안전 및 품질 표준에 미달하기 때문입니다.

  • 이 앱을 더 높은 대상 API 수준으로 업데이트할 계획이라면 기한 연장 요청을 제출하여 2023년 11월 1일까지 모든 Google Play 사용자에게 계속 배포할 수 있습니다. 영향을 받는 앱은 Play Console에서 정책 경고 및 받은편지함 메시지를 받게 되며 정책 상태 페이지를 통해 경고 또는 문제의 세부정보 페이지에 액세스하여 연장 요청 양식에 액세스할 수 있습니다.
앱을 업데이트할 때 API 33 이상을 타겟팅해야 합니다.


Wear OS 요구사항

신규 앱

기존 앱

신규 앱을 게시할 때 API 30 이상 또는 최대 Android 13(API 수준 33)을 타겟팅해야 합니다.

기존 앱의 대상 API 수준이 30 이상 또는 최대 Android 13(API 수준 33)이면 앱이 이 정책을 준수합니다.

기존 앱의 타겟이 API 30 미만이면 앱의 대상 API 수준보다 최신 버전의 Android OS 버전을 실행하는 기기의 Google Play 사용자에게 앱이 더 이상 제공되지 않습니다. 앱이 최신 Android OS 버전에서 기대되는 안전 및 품질 표준에 미달하기 때문입니다.

  • 이 앱을 API 수준 30을 타겟팅하도록 업데이트할 계획이라면 연장 요청을 제출하여 2023년 11월 1일까지 Google Play의 모든 사용자에게 계속 배포할 수 있습니다. 영향을 받는 앱은 Play Console에서 정책 경고 및 받은편지함 메시지를 받게 되며 정책 상태 페이지를 통해 경고 또는 문제의 세부정보 페이지에 액세스하여 연장 요청 양식에 액세스할 수 있습니다.
앱을 업데이트할 경우 API 30 이상 또는 Android 13(API 수준 33)까지 타겟팅해야 합니다.

자주 묻는 질문(FAQ)

API 30 이하를 타겟팅하는 앱의 경우

Google Play 스토어에 API 30 이하를 타겟팅하는 앱(Wear OS의 경우 앱이 API 29 이하를 타겟팅)을 게시 중이며 업데이트할 계획이 없습니다. 어떤 옵션이 있나요?

기존 사용자에게 이 앱을 계속 제공하려는 경우 별도의 조치를 취할 필요가 없습니다. 그러나 앱에서 타겟팅하는 것보다 새 버전의 Android OS를 실행하는 기기를 사용 중인 신규 사용자의 경우 Google Play에서 이 앱을 사용할 수 없습니다. 앱 수준 이하의 API 수준인 Android OS를 실행하는 기기에서만 Google Play 사용자가 사용할 수 있습니다.

2023년 8월 31일까지는 앱이 이 대상 API 수준 요구사항을 충족해야 합니다. 그렇지 않으면 기기에서 앱의 대상 API 수준보다 최신 버전의 Android OS를 실행하는 모든 Google Play 사용자에게 앱이 더 이상 표시되지 않습니다.

앱을 최신 대상 API로 업데이트할 계획이며 8월 31일 이후 시간이 더 필요한 경우 연장을 요청하여 11월 1일까지 모든 Google Play 사용자에게 계속 배포할 수 있습니다. 기한 연장 요청 양식은 올해 후반에 Play Console에서 사용할 수 있습니다.

오래된 기기 사용자를 포함한 신규 사용자에게 더 이상 앱을 제공하지 않으려면 앱을 게시 취소하세요.

2023년 11월 1일까지 모든 Google Play 사용자에게 계속 배포하기 위한 기한 연장 요청 양식은 어디에서 찾을 수 있나요?

정책을 준수하지 않는 앱만 Play Console에서 정책 경고 및 받은편지함 메시지를 받게 됩니다. 연장 양식은 Play Console의 정책 상태 페이지에서 경고 또는 문제의 세부정보 페이지를 통해 이용할 수 있습니다.

앱을 더 이상 Google Play에 게시하고 싶지 않습니다. 어떻게 해야 하나요?

앱 게시를 취소하는 방법에 관한 자세한 내용은 앱 업데이트 또는 게시 취소를 참고하세요.

이미 앱을 다운로드한 사용자는 어떤 영향을 받게 되나요?

이전에 Google Play에서 앱을 설치한 사용자는 영향을 받지 않으며, 앱이 지원하는 Android OS 버전에서 앱을 계속 검색, 재설치, 사용할 수 있습니다.

이번 업데이트가 앱 다운로드에 영향을 미치나요?

이번 업데이트가 앱 다운로드 수준에 영향을 미칠 수도 있습니다. 상위 버전의 Android OS 실행 기기를 이용하는 신규 사용자는 Google Play를 통해 앱을 검색하거나 다운로드할 수 없을 수 있기 때문입니다.

최신 기기 사용자가 앱 스토어 페이지로 연결되는 딥 링크를 방문하지만 앱이 API 30 이하를 타겟팅하는 경우 사용자 환경은 어떻게 되나요?

Google Play에서 사용자에게 '이 앱은 이전 버전의 Android용으로 만들어졌기 때문에 기기에 설치할 수 없습니다.'라고 알립니다.

API 29 이하를 타겟팅하는 기존 앱에 예외가 있나요?

그렇습니다. 다음과 같은 앱만 예외로 처리됩니다.

  • 영구 비공개 앱: 특정 조직의 사용자를 대상으로 내부 배포 목적으로만 사용할 수 있습니다. 
  • 자동차 또는 웨어러블 기기 폼 팩터를 대상으로 하고 동일한 패키지에 번들로 구성된 앱은 검색만 허용됩니다.

도움이 되었나요?

어떻게 하면 개선할 수 있을까요?

도움이 더 필요하신가요?

다음 단계를 시도해 보세요.

검색
검색어 지우기
검색 닫기
Google 앱
기본 메뉴